<?xml version="1.0" encoding="UTF-8"?>

<!--
	The data source used by the jms to maintain its queue -->
<datasources>
	<local-tx-datasource>
		<!-- jndi properties -->
		<jndi-name>DefaultDS</jndi-name>

		<!-- connection properties -->
		<connection-url>jdbc:edb://127.0.0.1:5444/ttv</connection-url>
		<driver-class>com.edb.Driver</driver-class>
		<user-name>wfs</user-name>
		<password>Wf$1234</password>

		<!-- pool size properties -->
		<min-pool-size>5</min-pool-size>
		<max-pool-size>100</max-pool-size>

		<check-valid-connection-sql>select now()</check-valid-connection-sql>
		<!-- connection validation
		<valid-connection-checker-class-name>com.ericsson.cms.resource.adaptor.jdbc.vendor.CMSValidConnectionChecker</valid-connection-checker-class-name>
		<exception-sorter-class-name>org.jboss.resource.adapter.jdbc.vendor.OracleExceptionSorter</exception-sorter-class-name>
		<stale-connection-checker-class-name>org.jboss.resource.adapter.jdbc.vendor.OracleStaleConnectionChecker</stale-connection-checker-class-name>
 -->
		<!-- type-mapping in the standardjbosscmp-jdbc.xml -->
		<metadata>
			<type-mapping>Oracle9i</type-mapping>
		</metadata>
	</local-tx-datasource>
</datasources>

